package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoCancelacion;

public class RenderOrgaoCancelacion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        OrgaoCancelacion orgaoCancelacion = (OrgaoCancelacion) o;
        DecimalFormat df = new DecimalFormat("#0.00");

        Listcell lc = new Listcell(orgaoCancelacion.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(df.format(orgaoCancelacion.getPorcmulta()));
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(df.format(orgaoCancelacion.getPorccambio()));
        lc.setParent(lstm);
        lc.setStyle("text-align:right");

        lc = new Listcell(orgaoCancelacion.getTiempolimite().toString());
        lc.setParent(lstm);
        lc.setStyle("text-align:right");

        lc = new Listcell(orgaoCancelacion.getIndnaopermitetransferencia() != null && orgaoCancelacion.getIndnaopermitetransferencia() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
        lc.setParent(lstm);
        lc.setStyle("text-align:center");

        lc = new Listcell(orgaoCancelacion.getTiempolimiteCambio() != null ? orgaoCancelacion.getTiempolimiteCambio().toString() : "");
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lstm.setAttribute("data", orgaoCancelacion);
    }
}
